io.vertx.rxjava.ext.web.handler

## Class ResponseContentTypeHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.ResponseContentTypeHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class ResponseContentTypeHandler
      extends Object
      implements Handler<RoutingContext>

  A handler which sets the response content type automatically according to the best `Accept` header match. The header is set only if:
  - no object is stored in the routing context under the name `ResponseContentTypeHandler`
  - a match is found
  - the header is not present already
  - content length header is absent or set to something different than zero

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ResponseContentTypeHandler>` | `__TYPE_ARG`
    `static String` | `DEFAULT_DISABLE_FLAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseContentTypeHandler(Object delegate)`
    `ResponseContentTypeHandler(ResponseContentTypeHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResponseContentTypeHandler` | `create()` Create a response content type handler.
    `static ResponseContentTypeHandler` | `create(String disableFlag)` Create a response content type handler with a custom disable flag.
    `boolean` | `equals(Object o)`
    `ResponseContentTypeHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Something has happened, so handle it.
    `int` | `hashCode()`
    `static ResponseContentTypeHandler` | `newInstance(ResponseContentTypeHandler arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ResponseContentTypeHandler> __TYPE_ARG

    - #### DEFAULT_DISABLE_FLAG

          public static final String DEFAULT_DISABLE_FLAG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ResponseContentTypeHandler

          public ResponseContentTypeHandler(ResponseContentTypeHandler delegate)

    - #### ResponseContentTypeHandler

          public ResponseContentTypeHandler(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ResponseContentTypeHandler getDelegate()

    - #### handle

          public void handle(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `event` - the event to handle

    - #### create

          public static ResponseContentTypeHandler create()

      Create a response content type handler.
      Returns:
        the response content type handler

    - #### create

          public static ResponseContentTypeHandler create(String disableFlag)

      Create a response content type handler with a custom disable flag.
      Parameters:
        `disableFlag` -
      Returns:
        the response content type handler

    - #### newInstance

          public static ResponseContentTypeHandler newInstance(ResponseContentTypeHandler arg)

Copyright © 2021 Eclipse. All rights reserved.